summaryrefslogtreecommitdiff
path: root/dev-python/botocore
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-01 12:11:11 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-01 12:11:11 +0000
commitef5d772cb212bb9d3049523be8a7bd2e01301090 (patch)
tree8345c2730a3aa49abe87d32a748203d81b1a7454 /dev-python/botocore
parentd5751b1260fda1bd00ddfc78bb34b3c7afd9b343 (diff)
downloadbaldeagleos-repo-ef5d772cb212bb9d3049523be8a7bd2e01301090.tar.gz
baldeagleos-repo-ef5d772cb212bb9d3049523be8a7bd2e01301090.tar.xz
baldeagleos-repo-ef5d772cb212bb9d3049523be8a7bd2e01301090.zip
Adding metadata
Diffstat (limited to 'dev-python/botocore')
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.40.41.ebuild67
-rw-r--r--dev-python/botocore/botocore-1.40.42.ebuild67
3 files changed, 136 insertions, 0 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 52e22d7a61c7..0bb155b53916 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -13,3 +13,5 @@ DIST botocore-1.40.37.gh.tar.gz 15152557 BLAKE2B b0ed767f10514f099730e08ef6c8588
DIST botocore-1.40.38.gh.tar.gz 15154440 BLAKE2B a43db5c4fc5998b4160f4f07a933a4157df833c65762bcf73fab6fdf9d44978d6c139bd0a3d6967640fb7114b3fa048f78aebd420f47c207b7af52cfd1bd4371 SHA512 681575e86ff0efc53008e160637c36c84197c4d043039b8cc42bb144b651bc1186c7183a96a02ac12ecf6cf184dd7cc30277af17e878b4b03be03df31d322a79
DIST botocore-1.40.39.gh.tar.gz 15154528 BLAKE2B d5f580048ede0cda636ca74a18fafe100e6c70ba690721e3c8c30d7abbd5a1641549e926a67780c082e192bb653e8d54cfa1c2189ad2a5fe2a835cfe88bb3d9a SHA512 5032f1e6903d62c89df28c15586595f478d679e54c47088dd715a2005cf91c7353620d7b572d073232a7f023d574f16ceb51cc4449038178ac6c5cc342c1df3b
DIST botocore-1.40.40.gh.tar.gz 15161555 BLAKE2B 099fc06007aedcb65b73de369b00d799ce7166f7ba4838a75abb2158f13dceade699b47eb5bff3cde48b7e5316eb12c2ba08ab22cf642bbaf26907454fe1e393 SHA512 4625752f7d2593a12451d257002dabc8ec3aa84267a1466a8e5e767878aae0bf875ae82d899fffc6b740ac957cd08fbd1baafdb4b82c2ebbaaf6f5d14db5eba6
+DIST botocore-1.40.41.gh.tar.gz 15164168 BLAKE2B 6e566392943e927d3b22f6dd44462d55b88867caf10c53054bd080f640a7b31f6d750a58c85bb599dc2cfe7a5e97ace98060d3740d4ba57566db709f49cafe05 SHA512 295e7b0fb305aadf67e0729fd0bd0af954d7a53c2c7735939ffd49c4f47d5239e55f29f0d669e6a0be32a404e20164c5fc0b29f36113e2a6a1c60cae6267064c
+DIST botocore-1.40.42.gh.tar.gz 15185422 BLAKE2B a9f080f72a1476b09a2874241cddaaf2c287e717bb870716bea813417ab578d0458ac5d920214fd7fb7a2a8d428a7e6469aecaa1f78f6eebd4824328f1e7063a SHA512 b39b60bddc61aa8b4f4e461122c961dba5447a429f8a95640db4356817f060feb088f4c1523315ffa156969aff61c55f25fbe53257c20f4f1c990cd138c0c380
diff --git a/dev-python/botocore/botocore-1.40.41.ebuild b/dev-python/botocore/botocore-1.40.41.ebuild
new file mode 100644
index 000000000000..a931fcaefec4
--- /dev/null
+++ b/dev-python/botocore/botocore-1.40.41.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/botocore-1.40.42.ebuild b/dev-python/botocore/botocore-1.40.42.ebuild
new file mode 100644
index 000000000000..a931fcaefec4
--- /dev/null
+++ b/dev-python/botocore/botocore-1.40.42.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}